onEvent('recipes', event => {
	
	//First crafting station
	event.shaped('kubejs:cobblestone_stick', [
		'AAA',
		'ASA',
		'ASA'
	  ], {
		S: 'botania:pebble',
		A: 'minecraft:air'
	  })



	//IRONFURNACE
	//Remove des craft de inutil des furnaces
	//craft des furnaces
	event.remove({id: 'ironfurnaces:iron_furnace'})
	event.remove({id: 'ironfurnaces:silver_furnace2'})
	event.remove({id: 'ironfurnaces:gold_furnace'})
	event.remove({id: 'ironfurnaces:obsidian_furnace2'})
	//upgrade
	event.remove({id: 'ironfurnaces:upgrade_iron2'})
	event.remove({id: 'ironfurnaces:upgrade_iron'})
	event.remove({id: 'ironfurnaces:upgrade_gold'})
	event.remove({id: 'ironfurnaces:upgrade_obsidian2'})
	event.remove({id: 'ironfurnaces:upgrade_copper'})
	event.remove({id: 'ironfurnaces:upgrade_silver2'})
	event.remove({id: 'ironfurnaces:upgrade_gold2'})
	event.remove({id: 'ironfurnaces:upgrade_diamond'})
	event.remove({id: 'ironfurnaces:upgrade_emerald'})
	event.remove({id: 'ironfurnaces:upgrade_obsidian'})
	event.remove({id: 'ironfurnaces:upgrade_netherite'})
	event.remove({id: 'ironfurnaces:upgrade_crystal'})
	//IRONCHEST
	//Remove des craft de inutil des chest
	//craft des chests
	event.remove({id: 'ironchest:chests/vanilla_iron_chest'})
	event.remove({id: 'ironchest:chests/copper_silver_chest'})
	event.remove({id: 'ironchest:chests/iron_gold_chest'})
	event.remove({id: 'ironchest:chests/silver_diamond_chest'})
	//upgrade
	event.remove({id: 'ironchest:upgrades/copper_to_silver_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/iron_to_gold_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/wood_to_iron_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/gold_to_diamond_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/silver_to_gold_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/wood_to_copper_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/copper_to_iron_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/diamond_to_obsidian_chest_upgrade'})
	event.remove({id: 'ironchest:upgrades/diamond_to_crystal_chest_upgrade'})
	//IRONBARREL
	//Remove des craft de inutil des barrel
	//craft des barrels
	event.remove({id: 'metalbarrels:barrels/wood_to_iron_barrel'})
	event.remove({id: 'metalbarrels:barrels/wood_to_gold_barrel'})
	event.remove({id: 'metalbarrels:barrels/iron_to_gold_barrel'})
	event.remove({id: 'metalbarrels:barrels/silver_to_diamond_barrel'})
	//Upgrade
	event.remove({id: 'metalbarrels:upgrades/nested/gold_to_crystal_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/silver_to_crystal_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/iron_to_crystal_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/copper_to_crystal_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/wood_to_crystal_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/gold_to_obsidian_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/silver_to_diamond_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/silver_to_obsidian_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/iron_to_gold_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/iron_to_diamond_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/iron_to_obsidian_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/copper_to_silver_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/copper_to_gold_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/copper_to_gold_upgrade2'})
	event.remove({id: 'metalbarrels:upgrades/nested/copper_to_diamond_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/copper_to_obsidian_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/wood_to_iron_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/nested/wood_to_silver_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_silver/wood_to_silver'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_silver/wood_to_silver2'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_silver/wood_to_silver3'})
	event.remove({id: 'metalbarrels:upgrades/nested/wood_to_gold_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold2'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold3'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold4'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold5'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold6'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_gold/wood_to_gold7'})
	event.remove({id: 'metalbarrels:upgrades/nested/wood_to_diamond_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond2'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond3'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond4'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_diamond/wood_to_diamond5'})
	event.remove({id: 'metalbarrels:upgrades/nested/wood_to_obsidian_upgrade'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_obsidian/wood_to_obsidian'})
	event.remove({id: 'metalbarrels:upgrades/combine/wood_to_obsidian/wood_to_obsidian2'})
	
	  


//	//remouv
//	event.remove({id: 'xreliquary:uncrafting/stick'})
//
//	//shapeless
//  event.shapeless('4x minecraft:cobblestone', ['minecraft:stone', '#forge:dusts/glowstone'])
//
//	//Furnace
//	event.blasting('3x minecraft:apple', 'minecraft:golden_apple').xp(500.0)
//	event.smelting('2x minecraft:carrot', 'minecraft:golden_apple').xp(1.0)
//
//	//Craft Custom
//	event.custom({
//		"type": "botania:runic_altar",
//		"output": {
//		  "item": "minecraft:diamond_ore",
//		  "count": 20
//		},
//		"mana": 1000,
//		"ingredients": [
//		  {
//			"item": "minecraft:prismarine"
//		  },
//		  {
//			"item": "minecraft:dark_prismarine"
//		  },
//		  {
//			"item": "minecraft:prismarine_bricks"
//		  },
//		  {
//			"item": "minecraft:blue_ice"
//		  },
//		  {
//			"item": "minecraft:blue_ice"
//		  },
//		  {
//			"item": "minecraft:blue_ice"
//		  }
//		]
//	  })


//	//NBT
//	event.shaped('minecraft:book', [
//		'CCC',
//		'WGL',
//		'CCC'
//	  ], {
//		C: '#forge:cobblestone',
		// Item.of('id', {key: value}), it's recommended to use /kubejs hand
//		L: Item.of('ftblibrary:fluid_container', '{Fluid:{FluidName:"candylands:molten_chocolate",Amount:1000}}'),
		// Same principle, but if its an enchantment, there's a helper method
//		W: Item.of('minecraft:enchanted_book').enchant('minecraft:respiration', 2),
//		G: '#forge:glass'
//	  })

})